Skip to main content
GET
/
v3
/
currencies
/
{id}
/
analytics
/
returns
Periodic Returns
curl --request GET \
  --url https://api.cryptorank.io/v3/currencies/{id}/analytics/returns \
  --header 'X-Api-Key: <api-key>'
{
  "data": [
    {
      "date": "2024-01-01T00:00:00.000Z",
      "closingPrice": "42100.5",
      "pricePercentChange": 12.45
    }
  ],
  "status": {
    "usedCredits": 1,
    "timestamp": 1780000000000
  }
}
Returns are open→close within each period. The last period may be incomplete.

Authorizations

X-Api-Key
string
header
required

Path Parameters

id
integer
required

Numeric coin id.

Example:

1

Query Parameters

period
enum<string>
default:monthly

Aggregation period: monthly, quarterly, or yearly.

Available options:
monthly,
quarterly,
yearly

Response

data
object[]
required
status
object
required